%define version 1.0.9
%define release 1mdk

Summary:	Mail notification program
Name:		gnubiff
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Mail
URL:		http://gnubiff.sf.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		%{name}-%{version}.tar.bz2
Patch0:		%{name}-1.0.9-info-entry.patch.bz2

BuildRequires:	gnome-panel-devel
BuildRequires:	openssl-devel
BuildRequires:	ImageMagick
Prereq:		info-install

%description
%{name} is a mail notification program that periodically checks for mail
and displays headers and/or content when new mail has arrived. It relies
on the GNOME and GTK libraries but can be compiled and used with or
without GNOME support. Supported protocols are pop3, apop, imap4, mh,
qmail, mailfile and SSL. Furthermore, gnubiff is fully configurable with
a lot of options like polltime, poptime, sounds, mail reader, mailbox
title, etc.

%package	applet
Summary:	GNOME applet of gnubiff, a mail notification program
Group:		Networking/Mail
Requires:	%{name} = %{version}-%{release}

%description	applet
%{name} is a mail notification program that periodically checks for mail
and displays headers and/or content when new mail has arrived. It relies
on the GNOME and GTK libraries but can be compiled and used with or
without GNOME support. Supported protocols are pop3, apop, imap4, mh,
qmail, mailfile and SSL. Furthermore, gnubiff is fully configurable with
a lot of options like polltime, poptime, sounds, mail reader, mailbox
title, etc.

This package contains the GNOME applet of %{name}.

%prep
%setup -q
%patch0 -p1 -b .info-entry

%build
%configure2_5x --with-gnome
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# menu entry
install -m 755 -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << _EOF_
?package(%{name}): \
 command="%{_bindir}/gnubiff --gtk" \
 icon="%{name}.png" \
 longtitle="Mail notification program" \
 needs="x11" \
 section="Internet/Mail" \
 title="GNUbiff"
_EOF_

# icons
mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -m 644 -D       pixmaps/gnubiff_icon.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/gnubiff_icon.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 pixmaps/gnubiff_icon.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

%post
%update_menus
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/sounds/%{name}
%{_mandir}/man1/*
%{_infodir}/*

%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%files applet
%defattr(-, root, root)
%doc COPYING
%{_datadir}/gnome-2.0/ui/*.xml
%{_libdir}/bonobo/servers/*.server

%changelog
* Mon Feb 16 2004 Abel Cheung <deaddog@deaddog.org> 1.0.9-1mdk
- First Mandrake package
- Patch0: Add missing info entry for info file
